# router.cc File Reference

## Detailed Description

Support classes for the pluggable socket routing system.

Definition in file router.cc.

`#include "router.h"`
`#include "scoped_lock.h"`
`#include "data.h"`
`#include "protostructs.h"`
`#include "usbwrap.h"`
`#include "endian.h"`
`#include "debug.h"`
`#include <unistd.h>`

Include dependency graph for router.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry